博客日记
您现在的位置是:博客主页 > 博客日记

Sublime Text 3 An error occured installing和no packages available for install

By 点想博主 on 博客日记 Time 2019-05-05 from:csdn 878人已围观
简介:    Sublime Text 3便携版下载安装和常用插件安装 1.Sublime Text 3便携版下载: 2.sublime 插件控制器(Package Control)安装 2.1离线安装Package Control,解决报错 An error occured installing Package Control 3.安装常用插件 3.配置仓库地

文章目录
Sublime Text 3便携版下载安装和常用插件安装
1.Sublime Text 3便携版下载:
2.sublime 插件控制器(Package Control)安装
2.1离线安装Package Control,解决报错 An error occured installing Package Control
3.安装常用插件
3.配置仓库地址,解决报错 There are no packages available for installation
推荐插件:ConvertToUTF8
括号高亮插件:BracketHighlighter
侧栏插件:SideBarEnhancements
前端推荐插件:Emmet
代码补全插件:SublimeCodeIntel
代码检查插件:SublimeLinter
代码运行插件:SublimeREPL
Verilog插件:SystemVerilog和Verilog Automatic
汉化插件:ChineseLocalizations
代码格式化插件:CodeFormatter
python插件:Anaconda,AutoPEP8
tab自动转换为4个空格:

Sublime Text 3便携版下载安装和常用插件安装
1.Sublime Text 3便携版下载:

下载地址:Download - Sublime Text

下载后解压后,打开sublime_text.exe即可使用。

2.sublime 插件控制器(Package Control)安装

Windows用户使用快捷键CTRL+SHIFT+P打开command palette,或者手动打开:

输入install即可看到Install Package Control:

双击Install Package Control,然后自动安装插件控制器。

我安装时报了一个错:

  1. An error occured installing Package Control
  2. Please check the Console for details
  3. Visit https://packagecontrol.io/installation for manual instructions
出现上面的报错一般是网络问题,是因为packagecontrol.io被墙了,使用全局的梯子就可以解决问题,或者可以离线安装Package Control,教程如下:

2.1、离线安装Package Control,解决报错 An error occured installing Package Control

1、下载地址:Releases · wbond/package_control
2、解压后重命名文件夹为重命名为Package Control。
3、打开Sublime Text 3,菜单->Preferences->Browse Packages…然后复制Package Control文件夹到该目录。
4、重启Sublime Text 3,如果菜单->Preferences有Package Setting和Package Control就说明安装成功。
5、Ctrl+Shift+p输入install选中Install Package回车就可以安装插件。

3.安装常用插件

Windows用户使用快捷键CTRL+SHIFT+P打开command palette,或者手动打开command palette。输入install即可看到Package Control: Install Package :

选择后即可安装插件。
如果你运气不好地有报错如下:

  1. Package Control
  2. There are no packages available for installation
  3. Please see https://packagecontrol.io/troubleshooting for help
同样是因为网络原因连接不到仓库,解决方法如下:

3、配置仓库地址,解决报错 There are no packages available for installation

1、点击 Preferences > Package Settings > Package Control > Settings - User
2、添加 “channels”: [“https://raw.githubusercontent.com/HBLong/channel_v3_daily/master/channel_v3.json”]后结果如下:
{
	"bootstrapped": true,
	"channels":
	[
		"https://raw.githubusercontent.com/HBLong/channel_v3_daily/master/channel_v3.json"
	],
	"in_process_packages":
	[
	],
	"installed_packages":
	[
		"ConvertToUTF8",
		"Package Control"
	]
} 

然后就可以安装插件了。

推荐插件:ConvertToUTF8

插件介绍:With this plugin, you can edit and save the files which encodings are not supported by Sublime Text currently, especially for those used by CJK users, such as GB2312, GBK, BIG5, EUC-KR, EUC-JP, etc.
功能说明:ConvertToUTF8 能将除UTF8编码之外的其他编码文件在 Sublime Text 中转换成UTF8编码,在打开文件的时候一开始会显示乱码,然后一刹那就自动显示出正常的字体,当然,在保存文件之后原文件的编码格式不会改变。

括号高亮插件:BracketHighlighter

类似于代码匹配,可以匹配括号,引号等符号内的范围。
使用方法:系统默认为白色高亮,可以使用链接所述方法进行自定义配置

GitHub仓库地址:BracketHighlighter: Bracket and tag highlighter for Sublime Text http://facelessuser.github.io/BracketHighlighter/

侧栏插件:SideBarEnhancements

侧栏右键功能增强,非常实用。

前端推荐插件:Emmet

GitHub仓库地址:emmet-sublime: Emmet for Sublime Text

代码补全插件:SublimeCodeIntel

GitHub仓库地址:SublimeCodeIntel/SublimeCodeIntel: Full-featured code intelligence and smart autocomplete for Sublime Text

SublimeCodeIntel是一个代码补全的插件

代码检查插件:SublimeLinter

GitHub仓库地址:SublimeLinter/SublimeLinter: The code linting framework for Sublime Text 3

代码运行插件:SublimeREPL

GitHub仓库地址:wuub/SublimeREPL: SublimeREPL - run an interpreter inside ST2 (Clojure, CoffeeScript, F#, Groovy, Haskell, Lua, MozRepl, NodeJS, Python, R, Ruby, Scala, shell or configure one yourself)
Verilog插件:SystemVerilog和Verilog Automatic
GitHub仓库地址:Tian-Changsong/Verilog-Automatic: Automatically generate verilog module ports,instance and instance connections ,for sublime text 2&3
此插件仍在更新

原先计组课上用ISE,写Verilog 时,苦于没有代码高亮的插件。装了这2个插件后,.v文件自动高亮,代码补全了。

汉化插件:ChineseLocalizations

代码格式化插件:CodeFormatter

GitHub仓库地址:akalongman/sublimetext-codeformatter: Code Formatter plugin for ST2/ST3

python插件:Anaconda,AutoPEP8

注意:Anaconda插件需要手动配置一下,不然会有白线,在anaconda的setting-uer中填写如下:
{
    "python_interpreter":"C:/Users/peter/Anaconda3/python.exe",
    "anaconda_linting":false
}

tab自动转换为4个空格:
在设置里添加如下命令:

"tab_size": 4,
"translate_tabs_to_spaces": true,

完结!

相关文章
文章评论

( 0 )